syslog fills with messages: Object ..., has been already finalized. Impossible to get any property from it. ... (stack trace in tweener.js)

Bug #1747566 reported by Brad Figg on 2018-02-06
140
This bug affects 32 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Expired
Medium
gnome-shell (Ubuntu)
High
Marco Trevisan (Treviño)
Bionic
High
Marco Trevisan (Treviño)

Bug Description

Upstreams:
https://gitlab.gnome.org/GNOME/gnome-shell/issues/1
https://gitlab.gnome.org/GNOME/gnome-shell/issues/27

---

I'm running Ubuntu Bionic. After latest dist-upgrade today I'm not getting a lot of stacktraces in my syslog:

Feb 5 16:14:04 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40613dde0), has been already finalized. Impossible to get any property from it.
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f700870 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700910 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f7009b0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f700870 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700910 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f7009b0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:04 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40613dde0), has been already finalized. Impossible to set any property to it.
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:04 fog gnome-shell[5676]: Object St.BoxLayout (0x55c407f24860), has been already finalized. Impossible to get any property from it.
Feb 5 16:14:04 fog gnome-shell[5676]: Object St.BoxLayout (0x55c407f24860), has been already finalized. Impossible to set any property to it.
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ff970 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ffa10 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffab0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ff970 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ffa10 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffab0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:04 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:05 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40977ca70), has been already finalized. Impossible to get any property from it.
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f700870 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700910 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f7009b0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f700870 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700910 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f7009b0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:05 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40977ca70), has been already finalized. Impossible to set any property to it.
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:05 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:06 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40977d460), has been already finalized. Impossible to get any property from it.
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f700870 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700910 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f7009b0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f700870 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700910 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f7009b0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:06 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40977d460), has been already finalized. Impossible to set any property to it.
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:06 fog gnome-shell[5676]: Object St.BoxLayout (0x55c40899e8f0), has been already finalized. Impossible to get any property from it.
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ff970 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ffa10 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffab0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ff970 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ffa10 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffab0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b70 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700cb0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 b resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:14:06 fog gnome-shell[5676]: Object St.BoxLayout (0x55c40899e8f0), has been already finalized. Impossible to set any property to it.
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:14:06 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:14:26 fog gnome-shell[5676]: [AppIndicatorSupport-DEBUG] Registering StatusNotifierItem :1.74/org/ayatana/NotificationItem/software_update_available
Feb 5 16:15:01 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40977de50), has been already finalized. Impossible to get any property from it.
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ffa90 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ffb30 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffbd0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f7009f0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b40 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700bf0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700c80 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700d00 I resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700db0 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700e10 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700e10 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700ee0 b self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ffa90 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ffb30 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffbd0 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f7009f0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b40 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700bf0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700c80 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700d00 I resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:15:01 fog gnome-shell[5676]: Object Clutter.Actor (0x55c40977de50), has been already finalized. Impossible to set any property to it.
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700db0 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700e10 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700e10 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700ee0 b self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:15:01 fog gnome-shell[5676]: Object St.BoxLayout (0x55c405abbf60), has been already finalized. Impossible to get any property from it.
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ff940 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ff9e0 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffa80 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f7009f0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b40 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700bf0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700c80 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700d00 I resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700db0 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700e10 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700e10 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700ee0 b self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f6ff940 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f6ff9e0 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f6ffa80 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f7009f0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700b40 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700bf0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700c80 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700d00 I resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:15:01 fog gnome-shell[5676]: Object St.BoxLayout (0x55c405abbf60), has been already finalized. Impossible to set any property to it.
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700db0 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700e10 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700e10 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:15:01 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700ee0 b self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:15:02 fog gnome-shell[5676]: Object Clutter.Actor (0x55c409112b40), has been already finalized. Impossible to get any property from it.
Feb 5 16:15:02 fog gnome-shell[5676]: Object Clutter.Actor (0x55c409112b40), has been already finalized. Impossible to set any property to it.
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f7008e0 b resource:///org/gnome/shell/ui/tweener.js:73 (0x7f38c40ddef0 @ 9)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700980 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f700a20 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a90 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700be0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c90 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700d20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 I resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #11 0x7fff5f700f50 I self-hosted:917 (0x7f38c40ee5e8 @ 394)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: == Stack trace for context 0x55c40593a000 ==
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #0 0x7fff5f7008e0 b resource:///org/gnome/shell/ui/tweener.js:80 (0x7f38c40ddef0 @ 82)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #1 0x7fff5f700980 b resource:///org/gnome/shell/ui/tweener.js:105 (0x7f38c40df230 @ 36)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #2 0x7fff5f700a20 b resource:///org/gnome/shell/ui/tweener.js:92 (0x7f38c40df098 @ 52)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #3 0x7fff5f700a90 I resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f38c40e9cd0 @ 54)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #4 0x7fff5f700be0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f38c40e9d58 @ 1626)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #5 0x7fff5f700c90 b resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f38c40e9de0 @ 100)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #6 0x7fff5f700d20 b resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f38c40e9e68 @ 10)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #7 0x7fff5f700da0 I resource:///org/gnome/gjs/modules/signals.js:126 (0x7f38c40e2b38 @ 386)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #8 0x7fff5f700e50 b resource:///org/gnome/shell/ui/tweener.js:208 (0x7f38c40df808 @ 159)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #9 0x7fff5f700eb0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f38c40c2bc0 @ 71)
Feb 5 16:15:02 fog org.gnome.Shell.desktop[5676]: #10 0x7fff5f700eb0 I resource:///org/gnome/shell/ui/tweener.js:183 (0x7f38c40df780 @ 20)

Related branches

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
summary: - org.gnome.Shell.desktop stacktraces; tweener.js
+ org.gnome.Shell.desktop stacktraces; tweener.js:73
Will Cooke (willcooke) on 2018-02-06
Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote : Re: org.gnome.Shell.desktop stacktraces; tweener.js:73

It was fixed even before gjs was released, but still not merged:

 https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/4

Changed in gnome-shell (Ubuntu):
status: Confirmed → Won't Fix
status: Won't Fix → In Progress
Revision history for this message
David Britton (dpb) wrote :

Just to add a possible cause for concern. This is creating about 100G of syslog per day on my bionic system that is just mostly idling.

summary: - org.gnome.Shell.desktop stacktraces; tweener.js:73
+ Object ..., has been already finalized. Impossible to get any property
+ from it. ... (stack trace in tweener.js)
Changed in gnome-shell:
importance: Unknown → Medium
status: Unknown → Expired
description: updated
Revision history for this message
Andreas Hasenack (ahasenack) wrote : Re: Object ..., has been already finalized. Impossible to get any property from it. ... (stack trace in tweener.js)

andreas@nsnx:~$ grep tweener /var/log/syslog|wc -l
21664
andreas@nsnx:~$ grep tweener /var/log/syslog.1|wc -l
51874
andreas@nsnx:~$

Revision history for this message
Daniel van Vugt (vanvugt) wrote :
summary: - Object ..., has been already finalized. Impossible to get any property
- from it. ... (stack trace in tweener.js)
+ syslog fills with messages: Object ..., has been already finalized.
+ Impossible to get any property from it. ... (stack trace in tweener.js)
Changed in gnome-shell (Ubuntu):
importance: Undecided → High
tags: added: rls-bb-incoming
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
description: updated
description: updated
Will Cooke (willcooke) on 2018-04-03
tags: removed: rls-bb-incoming
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.28.1-0ubuntu1

---------------
gnome-shell (3.28.1-0ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop obsolete patches:
    - 27-nm-libexec-path.patch
    - fix-wayland-vbox-crash.patch

  [ Marco Trevisan (Treviño) ]
  Cherry-pick patches applied to upstream git master:
  * ui-Theme-lookup-should-respect-XDG_DATA_DIRS.patch:
    - Renamed from ubuntu_theme_lookup_xdg.patch and cherry-picked from
      upstream
  * workspaceThumbnail-only-update-_porthole-if-the-overview-.patch:
    workspaceThumbnail-rebuild-thumbnails-if-workareas-size-c.patch:
    workspaceThumbnail-initialize-porthole-based-on-workArea.patch:
    - Cherry-picks from upstream, avoid unneeded computations in activities
  * popupMenu-Fix-wrong-call-to-clutter_actor_add_child.patch:
    - Cherry-pick from upstream
  * volume-Add-back-sound-feedback-on-scroll.patch:
    - Fix regression causing missing feedback on volume slider scroll

  Add patches proposed upstream:
  * shell-ignore-invalid-window-monitor-index.patch:
    - Fix crash on accessing on invalid monitor windows (LP: #1724439)
  * StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch:
    - Don't try to compute shadows on not allocated icons (LP: #1723378)
  * js-fix-invalid-access-errors.patch:
    - Fix javascript errors (LP: #1747566)
  * workspace-fix-repositioned-windows-in-activities.patch:
    - Ensure windows thumbnails coordinates are correct (LP: #1653153)
  * st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch:
    - Fix possible crash on cache loading
  * st-texture-cache-Don-t-add-NULL-textures-to-cache.patch:
    - Fix crash when deleting NULL textures from cache (LP: #1754445)

 -- Marco Trevisan (Treviño) <email address hidden> Tue, 17 Apr 2018 14:40:17 -0400

Changed in gnome-shell (Ubuntu Bionic):
status: In Progress → Fix Released
Revision history for this message
SimonWerner (simonwerner) wrote :

Thanks for fixing/maintaining this package!!! Really appreciate it. I can confirm this bug is squashed.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Awesome. Thanks Marco.

Revision history for this message
strangedata (rcteigao) wrote :

I'm still seeing this bug in gnome-shell 3.28.1-0ubuntu2 on Bionic. Lots and lots of syslog messages.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

strangedata,

Please open a new bug so we can verify what your issue is.

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

strangedata: also these might be due to extensions more than the shell itself.

Anyway, yeah... There are still some warning on notifications for example.

Revision history for this message
strangedata (rcteigao) wrote :

Hi,

No extensions installed, just plain gnome-shell that came with the installation.

I opened a new bug, as requested:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1772677

Revision history for this message
Anthony Yarbrough (virento) wrote :
Download full text (9.0 KiB)

I'm having the same issue still using a new Ubuntu 18.04 LTS with all of the latest package/kernel updates. This is also causing VERY large syslog files (5-10G each). The errors I'm receiving are related to tweener.js so I'm updating this bug report instead of opening a new one:

Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: == Stack trace for context 0x563d75ef0320 ==
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #0 0x563d7630cc58 i resource:///org/gnome/shell/ui/background.js:718 (0x7f307c30f450 @ 22)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #1 0x563d7630cbd0 i resource:///org/gnome/shell/ui/tweener.js:113 (0x7f307c6c7e68 @ 37)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #2 0x7fffc43b9710 b resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f307c6d3b38 @ 54)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #3 0x7fffc43b9860 b resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f307c6d3bc0 @ 1626)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #4 0x7fffc43b9910 b resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f307c6d3c48 @ 100)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #5 0x7fffc43b99a0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f307c6d3cd0 @ 10)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #6 0x7fffc43b9a90 b resource:///org/gnome/gjs/modules/signals.js:128 (0x7f307c6d3230 @ 386)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #7 0x7fffc43b9b40 b resource:///org/gnome/shell/ui/tweener.js:245 (0x7f307c6cf808 @ 159)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #8 0x7fffc43b9ba0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f307c6b5de0 @ 71)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #9 0x7fffc43b9c40 b resource:///org/gnome/shell/ui/tweener.js:220 (0x7f307c6cf780 @ 15)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: == Stack trace for context 0x563d75ef0320 ==
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #0 0x563d7630cc58 i resource:///org/gnome/shell/ui/background.js:718 (0x7f307c30f450 @ 22)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #1 0x563d7630cbd0 i resource:///org/gnome/shell/ui/tweener.js:113 (0x7f307c6c7e68 @ 37)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #2 0x7fffc43b9710 b resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f307c6d3b38 @ 54)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #3 0x7fffc43b9860 b resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f307c6d3bc0 @ 1626)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #4 0x7fffc43b9910 b resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f307c6d3c48 @ 100)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #5 0x7fffc43b99a0 b resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f307c6d3cd0 @ 10)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #6 0x7fffc43b9a90 b resource:///org/gnome/gjs/modules/signals.js:128 (0x7f307c6d3230 @ 386)
Aug 8 10:47:46 thebeast org.gnome.Shell.desktop[3972]: #7 0x7fffc43b9b40 b resource:///org/gnome/shell/ui/tweener.js:24...

Read more...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

I think that's a different bug. This one was originally intended to be about tweener.js:73 and tweener.js:80.

Aside from anything else, this bug is closed already. So if you have any continuing problems in Ubuntu 18.04 then please open a new bug. But before opening a new bug always check that the problem occurs after removing all the gnome-shell extensions, in case an extension is the cause.

Revision history for this message
alperyilmaz (alperyilmaz) wrote :

I had this "large log file" issue with gnome-shell for a long time (1-2 years). Only drawback was, I was not being able to send crash reports to launchpad after gnome-shell crashes (which are more frequent than expected)

But recently, after apt update; apt upgrade, couple months ago, gnome-shell became very unstable. Right now, after each screen lock or resume it restarts and occasionally Xorg crashes right after putting in the password. I file a bug about this instability (https://bugs.launchpad.net/gnome-shell/+bug/1797141).

Long story short, I have gnome-shell version 3.28.3-0ubuntu0.18.04.2 and still has the large log file problem.

Here's the count of lines in logs:

$ journalctl | cut -f3 -d: | cut -f3 -d" " | sed -e 's/[0-9]//g' | awk '{proc[$1]++}END{ for (i in proc) print i,proc[i] | "sort -k2nr"}'

org.gnome.Shell.desktop[] 2579197
albert.desktop[] 824603
gnome-shell[] 328024
/usr/lib/gdm/gdm-x-session[] 316759
kernel 99202
gnome-software[] 74095
systemd[] 56480
sushi-start[] 33661
NetworkManager[] 29022
org.gnome.Nautilus[] 17196

-- Logs begin at Tue 2018-07-24 03:22:16 +03, end at Wed 2018-10-10 18:23:25 +03. --

If I disable all extensions, log entries becomes silent.. Any idea which extension is causing this problem? Is there a systematic way to test an extension for this bug (instead of 1.activate extension 2.check log for a while 3. turn off the extension 4. go to 1)

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

This bug is closed.

If you find any problem in gnome-shell without extensions loaded then please open a new bug. As for figuring out which extensions are to blame, that's an exercise for the reader, sorry.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.